Irreversibly admit administrator purge or clear-history for bounded cleanup
POST
/v1/files/deletion-operationsAuthorizationBearer <token>
In: header
Request Body
application/json
Response Body
application/json
curl -X POST "https://example.com/v1/files/deletion-operations" \
-H "Content-Type: application/json" \
-d '{
"workplaceId": "4989ce91-52f9-461b-87fa-af1f28004fc0",
"operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
"fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc",
"expectedVersion": "d4872add-ad6c-489f-92b8-0d0c927185fe",
"action": "purge"
}'{
"operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
"fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc",
"action": "purge",
"version": "8b898373-21c7-4028-b85f-cc5068e68df9",
"admittedAt": "2019-08-24T14:15:22Z",
"targetCount": 0,
"processedCount": 0,
"state": "pending",
"phase": "collecting"
}